#! /data/data/com.termux/files/usr/bin/bash

# Get video data
if [ "$1" == "-J" ]
then
	Data=$(youtube-dl "$1" "$2" &> "$3"/.info.json)
	am broadcast --user '0' -a ch.gridvision.ppam.androidautomagic.youtube1 -e youtubedata "$Data" > /dev/null
fi

# Download video
if [ "$1" != "-J" ]&&[ "$1" != "install" ]
then
	Data=$(youtube-dl "$@" | tee /dev/tty)
	Cmd="cmd=$@"
	sleep 10
	am broadcast --user '0' -a ch.gridvision.ppam.androidautomagic.youtube2 -e youtubedata "${Data}"$'\n'"${Cmd}" > /dev/null
fi

# Install/update python, ffmpeg, atomicparsley, youtube-dl
if [ "$1" == "install" ]
then
	Data=$(pkg install --upgrade -y ffmpeg python atomicparsley | tee /dev/tty)
	Data1=$(pip install --upgrade youtube_dl | tee /dev/tty)
	am broadcast --user '0' -a ch.gridvision.ppam.androidautomagic.youtube3 -e youtubedata "${Data}"$'\n'"${Data1}" > /dev/null
fi
